import React from 'react';
import PropTypes from 'prop-types';

import UserProfileButton from './UserProfileButton/UserProfileButton.container.js';

export default function HeaderContentRight({ hideUserProfileButton, navigation }) {
    if (hideUserProfileButton) {
        return null;
    }

    return <UserProfileButton navigation={navigation} />;
}

HeaderContentRight.propTypes = {
    hideUserProfileButton: PropTypes.bool.isRequired,
};
